///////////////////////////////////////////////////////////////////////
//  Util.cpp: Utility Functions
//  Defined in the namespace util
//
//  Created by Babu George Padamadan
//  Created on Oct 2000
//  Contact : bgeorge@wol.com or babu_george@hotmail.com
//
///////////////////////////////////////////////////////////////////////
#include "CookieUtil.h"

using namespace std;

namespace util
{

string toLowerStr(const string& strObj)
{
	ctype<char> fn;
	string str = strObj;
	fn.tolower(str.begin(), str.end());
	return str;
}

string trimStr(const string& strObj)
{
	size_t pos = 0;
	string str = strObj;
	while (str.length() > 0 && str[pos] == ' ')
		str.erase(pos,1);

	pos = str.length()-1;
	while (pos >= 0 && str[pos] == ' ')
	{
		str.erase(pos,1);
		pos = str.length() - 1;
	}
	return str;
}

}; // end namespace util